;+
; ==============================================================================
; set_swbs_mlso.pro          IDL procedure
; ==============================================================================
; Defines system variable !swbs for Solar Weather Browser.
;
; V1.0 Created by C.Marque 04-Oct-2006 [set_swbs.pro].
; 17 Sep 2007 A. Stanger: Modify for HAO/MLSO.
; 10 Oct 2007 [ALS]: Stop using 'SWBSDIR'.  Set swbs_dir = '/archive/swbs/'.
; 15 Oct 2007 [ALS]: Set swbs_dir = '/project/mlso/SWBS/'.
; ==============================================================================
;-

PRO set_swbs_mlso

;swbs_dir = getenv ('SWBSDIR')
;swbs_dir = '/archive/swbs/'
swbs_dir = '/project/mlso/SWBS/'

stdum = {SWBS, dir:'', data_dir:'', source_dir:'', out_dir:'', tmp_dir:'', $
               log_dir:'', outdim:0, ref_solradius:0.0, $
               ref_xcenter:0, ref_ycenter:0}

;stdum.data_dir      = swbs_dir + 'SWBS_data/'
;stdum.out_dir       = swbs_dir + 'SWBS_out/'
;stdum.source_dir    = swbs_dir + 'SWBS_source/'

stdum.dir           = swbs_dir
stdum.data_dir      = '/archive/acos/'
stdum.source_dir    = '/project/mlso/SWBS/' + 'SWBS_source/'
stdum.out_dir       = '/archive/swbs/mlso/'
stdum.tmp_dir       = swbs_dir + 'SWBS_tmp/'
stdum.log_dir       = swbs_dir + 'SWBS_log/'
stdum.outdim        = 512
stdum.ref_solradius = 184.
stdum.ref_xcenter   = 256
stdum.ref_ycenter   = 256

defsysv, '!swbs', stdum

END
