;+
; NAME:
;   eps2svg
; PURPOSE:
;   calls unix script epstosvg, and cleans up the resulting code for SWB.
;   
; CATEGORY:
;   SWB version 1.00
; CALLING SEQUENCE:
;   eps2svg,infile,pagenum,outfile
; INPUTS:
; infile must be an eps file
; pagenum is an integer
; KEYWORD PARAMETERS:
; 
; OUTPUTS:
;
; COMMON BLOCKS:
;   none
; SIDE EFFECTS:
;   unknown
; RESTRICTIONS:
;   unknown
; PROCEDURE:
;
; CALLS:
;
; TO DO:
; MODIFICATION HISTORY:
; 2006/07/10: V1.00 C.Marque
; 2006/08/04: Correct a bug in line splitting control. C.M.
; 2006/10/30: add pagenum argument to allow multi-pages postcript files. C.M.
; 2006/11/02: change method that remove "bad" lines, this avoids other headaches. C.M.
;-
pro eps2svg,infile,pagenum,outfile
;;;Definitions
set_swbs
builddir=!swbs.source_dir+'build/'
;;;
tmpfile=outfile+'.tmp'
spawn,builddir+'epstosvg/epstosvg '+infile+' '+string(fix(pagenum))+' > '+tmpfile
openr,num_in,tmpfile,/get_lun
openw,num_out,outfile,/get_lun
index=''
while not eof(num_in) do begin
readf,num_in,index
;;;Now looks for the "g" lines to delete
if not (strmid(index,0,3) eq '<g ' or strmid(index,0,3) eq '</g') then printf,num_out,index
endwhile
close,num_out
free_lun,num_out
close,num_in
free_lun,num_in
spawn,'rm '+tmpfile
spawn,'rm '+infile
end
