;======================== header ===============================================
;+
; NAME:
;   swb_readlist.pro
; PURPOSE:
;   read list.txt file
; CATEGORY:
;   SWB version 1.00
; CALLING SEQUENCE:
;   IDL> list=swb_readlist('20070507')
; INPUTS:
;
;
; KEYWORD PARAMETERS:
; stlf: string to look for: instrument prefix, for example stlf='SECCHIA_euvi'
; OUTPUTS:
; string array  
; COMMON BLOCKS:
;   none
; SIDE EFFECTS:
;   unknown
; RESTRICTIONS:
;   unknown
; MODIFICATION HISTORY:
;   written by C.Marque, ROB, 2007/05/07
;   C.Marque, ROB, 2007/05/14: add keyword odir for non standard output directory
;   C.MArque, ROB, 2007/05/29: correct bug in list location
;
;-
;======================== end header ===========================================
function swb_readlist,date,stlf=stlf,odir=odir
set_swbs
yyyy=strmid(date,0,4)
mm=strmid(date,4,2)
dd=strmid(date,6,2)
if not keyword_set(odir) then $
file=!swbs.out_dir+yyyy+'/'+mm+'/'+dd+'/list.txt' else $
file=odir+yyyy+'/'+mm+'/'+dd+'/list.txt'
list=''
if file_test(file) then begin
index=''
openr,num,file,/get_lun
while not eof(num) do begin
readf,num,index
list=[[list],index]
endwhile
close,num
free_lun,num
list=list[1:n_elements(list)-1]
if keyword_set(stlf) then begin
ok=where(strmatch(list,'*'+stlf+'*') eq 1,nok)
if (nok ne 0) then list=list[ok]
endif
endif
return,list
end
